# Vaxe


## Install
```sh
npm install vaxe
```

## Using
```js
const vaxe = require("vaxe")
```

## Setup
```js
vaxe.setup(data, port [option])
```
# Data
Data can be a json list or a filename. The package will extract the data itself.
```js
{
  "/example": {
    "type": "content",
    "value": "hello world!"
  }
}
```
- Type - The type of sending can be **content** which is plain text or **file** and then the software will send a file.
- Value - Can be a plain text value if the selected type is **content** or a file name if the selected type is **file**.
- Link - Transfers to the link found in value.

Status - You can add a status to the page.
```json
{
  "/": {
    "status": "200"
  }
}
```
# Port [option]
You can choose the port where the program will run but it is not mandatory and you can run a port in any way you choose.
# Extra
- You can add a value called "404" which will be executed if no other value is suitable.
- 
## Port
```js
vaxe.port(port)
```
Port definition for the software